Subject: Re: bug#5553: 23.1.92; Archives with wrong coding system

From: Stefan Monnier <[email-masked]>
Date: Wed, 10 Feb 2010 21:12:42 -0500

>> I think that auto-coding-alist should allow mapping not only file-names
>> but also major modes to coding-systems.  This should hopefully take care
>> of those issues by mapping image-mode and archive-mode to no-conversion.
> I don't understand how this is possible because currently a coding system
> should be recognized before mode is chosen:

This is the reason why my suggestion did not come with a patch ;-)
This said, I don't think it's impossible, but it would require
a reorganization indeed.

        Stefan